### Method

# WebKit2 UserContentFilterStore save_from_file_finish

since: 2.24

#### Declaration [src]

    WebKitUserContentFilter*
    webkit_user_content_filter_store_save_from_file_finish (
      WebKitUserContentFilterStore* store,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes and asynchronous filter save previously started with webkit_user_content_filter_store_save_from_file().

Available since: 2.24

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `WebKitUserContentFilter`

A `WebKitUserContentFilter`, or `NULL` if saving failed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.